# eric6.Helpviewer.HelpWindow

Module implementing the helpviewer main window.

### Global Attributes

None

### Classes

HelpWindow | Class implementing the web browser main window.

### Functions

None

## HelpWindow

Class implementing the web browser main window.

### Signals

helpClosed()
  emitted after the window was requested to close down
privacyChanged(bool)
  emitted to indicate a new privacy mode
zoomTextOnlyChanged(bool)
  emitted after the zoom text only setting was changed

### Derived from

E5MainWindow

### Class Attributes

_adblockManager
_bookmarksManager
_cookieJar
_downloadManager
_featurePermissionManager
_feedsManager
_flashCookieManager
_fromEric
_greaseMonkeyManager
_helpEngine
_historyManager
_networkAccessManager
_notification
_passwordManager
_personalInformationManager
_speedDial
_syncManager
_useQtHelp
_userAgentsManager
_zoomManager
helpwindows

### Class Methods

adBlockManager | Class method to get a reference to the AdBlock manager.
bookmarksManager | Class method to get a reference to the bookmarks manager.
cookieJar | Class method to get a reference to the cookie jar.
downloadManager | Class method to get a reference to the download manager.
featurePermissionManager | Class method to get a reference to the feature permission manager.
feedsManager | Class method to get a reference to the RSS feeds manager.
flashCookieManager | Class method to get a reference to the flash cookies manager.
getQtHelpCollectionFileName | Class method to determine the name of the QtHelp collection file.
greaseMonkeyManager | Class method to get a reference to the GreaseMonkey manager.
helpEngine | Class method to get a reference to the help engine.
historyManager | Class method to get a reference to the history manager.
icon | Class method to get the icon for an URL.
mainWindow | Class method to get a reference to the main window.
mainWindows | Class method to get references to all main windows.
networkAccessManager | Class method to get a reference to the network access manager.
notificationsEnabled | Class method to check, if notifications are enabled.
passwordManager | Class method to get a reference to the password manager.
personalInformationManager | Class method to get a reference to the personal information manager.
setUseQtHelp | Class method to set the QtHelp usage.
showNotification | Class method to show a desktop notification.
speedDial | Class methdo to get a reference to the speed dial.
syncManager | Class method to get a reference to the data synchronization manager.
userAgentsManager | Class method to get a reference to the user agents manager.
zoomManager | Class method to get a reference to the zoom values manager.

### Methods

HelpWindow | Constructor
__about | Private slot to show the about information.
__aboutQt | Private slot to show info about Qt.
__aboutToShowSettingsMenu | Private slot to show the Settings menu.
__aboutToShowTextEncodingMenu | Private slot to populate the text encoding menu.
__activateCurrentBrowser | Private slot to activate the current browser.
__activateDock | Private method to activate the dock widget of the given widget.
__addBookmark | Private slot called to add the displayed file to the bookmarks.
__addBookmarkFolder | Private slot to add a new bookmarks folder.
__appFocusChanged | Private slot to handle a change of the focus.
__backward | Private slot called to handle the backward action.
__clearIconsDatabase | Private slot to clear the icons databse.
__clearPrivateData | Private slot to clear the private data.
__closeAllWindows | Private slot to close all windows.
__closeNetworkMonitor | Private slot to close the network monitor dialog.
__copy | Private slot called to handle the copy action.
__createTextEncodingAction | Private method to create an action for the text encoding menu.
__createTextEncodingSubmenu | Private method to create a text encoding sub menu.
__currentChanged | Private slot to handle the currentChanged signal.
__del__ | Special method called during object destruction.
__docsInstalled | Private slot handling the end of documentation installation.
__feedsManagerClosed | Private slot to handle closing the feeds manager dialog.
__filterQtHelpDocumentation | Private slot to filter the QtHelp documentation.
__find | Private slot to handle the find action.
__forward | Private slot called to handle the forward action.
__hideIndexWindow | Private method to hide the index window.
__hideSearchWindow | Private method to hide the search window.
__hideTocWindow | Private method to hide the table of contents window.
__home | Private slot called to handle the home action.
__indexingFinished | Private slot to handle the start of the indexing process.
__indexingStarted | Private slot to handle the start of the indexing process.
__initActions | Private method to define the user interface actions.
__initHelpDb | Private slot to initialize the documentation database.
__initMenus | Private method to create the menus.
__initToolbars | Private method to create the toolbars.
__initWebSettings | Private method to set the global web settings.
__isFullScreen | Private method to determine, if the window is in full screen mode.
__linkActivated | Private slot to handle the selection of a link in the TOC window.
__linksActivated | Private slot to select a topic to be shown.
__lookForNewDocumentation | Private slot to look for new documentation to be loaded into the help database.
__manageQtHelpDocumentation | Private slot to manage the QtHelp documentation database.
__manageQtHelpFilters | Private slot to manage the QtHelp filters.
__navigationMenuActionTriggered | Private slot to go to the selected page.
__nextTab | Private slot used to show the next tab.
__openFile | Private slot called to open a file.
__openFileNewTab | Private slot called to open a file in a new tab.
__prevTab | Private slot used to show the previous tab.
__privateBrowsing | Private slot to switch private browsing.
__reload | Private slot called to handle the reload action.
__removeOldDocumentation | Private slot to remove non-existing documentation from the help engine.
__savePageAs | Private slot to save the current page.
__savePageScreen | Private slot to save the current page as a screen shot.
__saveVisiblePageScreen | Private slot to save the visible part of the current page as a screen shot.
__searchForWord | Private slot to search for a word.
__setIconDatabasePath | Private method to set the favicons path.
__setTextEncoding | Private slot to set the selected text encoding as the default for this session.
__setupFilterCombo | Private slot to setup the filter combo box.
__showAcceptedLanguages | Private slot to configure the accepted languages for web pages.
__showAdBlockDialog | Private slot to show the AdBlock configuration dialog.
__showBackMenu | Private slot showing the backwards navigation menu.
__showBookmarksDialog | Private slot to show the bookmarks dialog.
__showCertificatesDialog | Private slot to show the certificates management dialog.
__showClickToFlashDialog | Private slot to open the ClickToFlash whitelist configuration dialog.
__showCookiesConfiguration | Private slot to configure the cookies handling.
__showDownloadsWindow | Private slot to show the downloads dialog.
__showEnginesConfigurationDialog | Private slot to show the search engines configuration dialog.
__showFeaturePermissionDialog | Private slot to show the feature permission dialog.
__showFeedsManager | Private slot to show the feeds manager dialog.
__showFlashCookiesManagement | Private slot to show the flash cookies management dialog.
__showForwardMenu | Private slot showing the forwards navigation menu.
__showGreaseMonkeyConfigDialog | Private slot to show the GreaseMonkey scripts configuration dialog.
__showIndexWindow | Private method to show the index window.
__showInstallationError | Private slot to show installation errors.
__showNetworkMonitor | Private slot to show the network monitor dialog.
__showOfflineStorageConfiguration | Private slot to configure the offline storage.
__showPageSource | Private slot to show the source of the current page in an editor.
__showPasswordsDialog | Private slot to show the passwords management dialog.
__showPersonalInformationDialog | Private slot to show the Personal Information configuration dialog.
__showPreferences | Private slot to set the preferences.
__showSearchWindow | Private method to show the search window.
__showSiteinfoDialog | Private slot to show the site info dialog.
__showSyncDialog | Private slot to show the synchronization dialog.
__showTocWindow | Private method to show the table of contents window.
__showUserAgentsDialog | Private slot to show the user agents management dialog.
__showZoomValuesDialog | Private slot to show the zoom values management dialog.
__stopLoading | Private slot called to handle loading of the current page.
__switchTab | Private slot used to switch between the current and the previous current tab.
__syncTOC | Private slot to synchronize the TOC with the currently shown page.
__titleChanged | Private slot called to handle a change of s browser's title.
__userStyleSheet | Private method to generate the user style sheet.
__viewFullScreen | Private slot called to toggle fullscreen mode.
__virusTotalDomainReport | Private slot to retrieve a domain report.
__virusTotalFileScanReport | Private slot to initiate the display of the file scan report page.
__virusTotalIpAddressReport | Private slot to retrieve an IP address report.
__virusTotalScanCurrentSite | Private slot to ask VirusTotal for a scan of the URL of the current browser.
__virusTotalSubmitUrlError | Private slot to handle an URL scan submission error.
__virusTotalUrlScanReport | Private slot to initiate the display of the URL scan report page.
__warning | Private slot handling warnings from the help engine.
__whatsThis | Private slot called in to enter Whats This mode.
__zoomIn | Private slot called to handle the zoom in action.
__zoomOut | Private slot called to handle the zoom out action.
__zoomReset | Private slot called to handle the zoom reset action.
__zoomTextOnly | Private slot called to handle the zoom text only action.
__zoomValueChanged | Private slot to handle value changes of the zoom widget.
adBlockIcon | Public method to get a reference to the AdBlock icon.
bookmarkAll | Public slot to bookmark all open tabs.
browserAt | Public method to get a reference to the help browser with the given index.
browsers | Public method to get a list of references to all help browsers.
closeEvent | Protected event handler for the close event.
currentBrowser | Public method to get a reference to the current help browser.
eventKeyboardModifiers | Public method to get the last recorded keyboard modifiers.
eventMouseButtons | Public method to get the last recorded mouse buttons.
getActions | Public method to get a list of all actions.
getSourceFileList | Public method to get a list of all opened source files.
getWindow | Public method to get a reference to the most recent active help window.
keyPressEvent | Protected method to handle key presses.
masterPasswordChanged | Public slot to handle the change of the master password.
mousePressEvent | Protected method called by a mouse press event.
newTab | Public slot called to open a new help window tab.
newWindow | Public slot called to open a new help browser dialog.
openSearchManager | Public method to get a reference to the opensearch manager object.
openUrl | Public slot to load a URL from the bookmarks menu or bookmarks toolbar in the current tab.
openUrlNewTab | Public slot to load a URL from the bookmarks menu or bookmarks toolbar in a new tab.
preferencesChanged | Public slot to handle a change of preferences.
reloadUserStyleSheet | Public method to reload the user style sheet.
requestVirusTotalScan | Public method to submit a request to scan an URL by VirusTotal.
search | Public method to search for a word.
searchEnginesAction | Public method to get a reference to the search engines configuration action.
setBackwardAvailable | Public slot called when backward references are available.
setEventKeyboardModifiers | Public method to record keyboard modifiers.
setEventMouseButtons | Public method to record mouse buttons.
setForwardAvailable | Public slot called when forward references are available.
setLoadingActions | Public slot to set the loading dependent actions.
setPrivateMode | Public method to set the privacy mode.
shutdown | Public method to shut down the web browser.

### Static Methods

__getWebIcon | Private static method to fetch the icon for a URL.

#### HelpWindow.adBlockManager (class method)

adBlockManager()

Class method to get a reference to the AdBlock manager.

Returns:
  reference to the AdBlock manager (AdBlockManager)

#### HelpWindow.bookmarksManager (class method)

bookmarksManager()

Class method to get a reference to the bookmarks manager.

Returns:
  reference to the bookmarks manager (BookmarksManager)

#### HelpWindow.cookieJar (class method)

cookieJar()

Class method to get a reference to the cookie jar.

Returns:
  reference to the cookie jar (CookieJar)

#### HelpWindow.downloadManager (class method)

downloadManager()

Class method to get a reference to the download manager.

Returns:
  reference to the password manager (DownloadManager)

#### HelpWindow.featurePermissionManager (class method)

featurePermissionManager()

Class method to get a reference to the feature permission manager.

Returns:
  reference to the feature permission manager

Return Type:
  FeaturePermissionManager

#### HelpWindow.feedsManager (class method)

feedsManager()

Class method to get a reference to the RSS feeds manager.

Returns:
  reference to the RSS feeds manager (FeedsManager)

#### HelpWindow.flashCookieManager (class method)

flashCookieManager()

Class method to get a reference to the flash cookies manager.

Returns:
  reference to the flash cookies manager

Return Type:
  FlashCookieManager

#### HelpWindow.getQtHelpCollectionFileName (class method)

getQtHelpCollectionFileName()

Class method to determine the name of the QtHelp collection file.

Returns:
  path of the QtHelp collection file

Return Type:
  str

#### HelpWindow.greaseMonkeyManager (class method)

greaseMonkeyManager()

Class method to get a reference to the GreaseMonkey manager.

Returns:
  reference to the GreaseMonkey manager (GreaseMonkeyManager)

#### HelpWindow.helpEngine (class method)

helpEngine()

Class method to get a reference to the help engine.

Returns:
  reference to the help engine (QHelpEngine)

#### HelpWindow.historyManager (class method)

historyManager()

Class method to get a reference to the history manager.

Returns:
  reference to the history manager (HistoryManager)

#### HelpWindow.icon (class method)

icon(url)

Class method to get the icon for an URL.

url
  URL to get icon for (QUrl)

Returns:
  icon for the URL (QIcon)

#### HelpWindow.mainWindow (class method)

mainWindow()

Class method to get a reference to the main window.

Returns:
  reference to the main window (HelpWindow)

#### HelpWindow.mainWindows (class method)

mainWindows()

Class method to get references to all main windows.

Returns:
  references to all main window (list of HelpWindow)

#### HelpWindow.networkAccessManager (class method)

networkAccessManager()

Class method to get a reference to the network access manager.

Returns:
  reference to the network access manager (NetworkAccessManager)

#### HelpWindow.notificationsEnabled (class method)

notificationsEnabled()

Class method to check, if notifications are enabled.

Returns:
  flag indicating, if notifications are enabled (boolean)

#### HelpWindow.passwordManager (class method)

passwordManager()

Class method to get a reference to the password manager.

Returns:
  reference to the password manager (PasswordManager)

#### HelpWindow.personalInformationManager (class method)

personalInformationManager()

Class method to get a reference to the personal information manager.

Returns:
  reference to the personal information manager (PersonalInformationManager)

#### HelpWindow.setUseQtHelp (class method)

setUseQtHelp(use)

Class method to set the QtHelp usage.

use
  flag indicating usage (boolean)

#### HelpWindow.showNotification (class method)

showNotification(icon, heading, text)

Class method to show a desktop notification.

icon
  icon to be shown in the notification (QPixmap)
heading
  heading of the notification (string)
text
  text of the notification (string)

#### HelpWindow.speedDial (class method)

speedDial()

Class methdo to get a reference to the speed dial.

Returns:
  reference to the speed dial (SpeedDial)

#### HelpWindow.syncManager (class method)

syncManager()

Class method to get a reference to the data synchronization manager.

Returns:
  reference to the data synchronization manager (SyncManager)

#### HelpWindow.userAgentsManager (class method)

userAgentsManager()

Class method to get a reference to the user agents manager.

Returns:
  reference to the user agents manager (UserAgentManager)

#### HelpWindow.zoomManager (class method)

zoomManager()

Class method to get a reference to the zoom values manager.

Returns:
  reference to the zoom values manager

Return Type:
  ZoomManager

#### HelpWindow (Constructor)

HelpWindow(home, path, parent, name, fromEric=False, initShortcutsOnly=False, searchWord=None)

Constructor

home
  the URL to be shown (string)
path
  the path of the working dir (usually '.') (string)
parent
  parent widget of this window (QWidget)
name
  name of this window (string)
fromEric
  flag indicating whether it was called from within eric6 (boolean)
initShortcutsOnly=
  flag indicating to just initialize the keyboard shortcuts (boolean)
searchWord=
  word to search for (string)

#### HelpWindow.__about

__about()

Private slot to show the about information.

#### HelpWindow.__aboutQt

__aboutQt()

Private slot to show info about Qt.

#### HelpWindow.__aboutToShowSettingsMenu

__aboutToShowSettingsMenu()

Private slot to show the Settings menu.

#### HelpWindow.__aboutToShowTextEncodingMenu

__aboutToShowTextEncodingMenu()

Private slot to populate the text encoding menu.

#### HelpWindow.__activateCurrentBrowser

__activateCurrentBrowser()

Private slot to activate the current browser.

#### HelpWindow.__activateDock

__activateDock(widget)

Private method to activate the dock widget of the given widget.

widget
  reference to the widget to be activated (QWidget)

#### HelpWindow.__addBookmark

__addBookmark()

Private slot called to add the displayed file to the bookmarks.

#### HelpWindow.__addBookmarkFolder

__addBookmarkFolder()

Private slot to add a new bookmarks folder.

#### HelpWindow.__appFocusChanged

__appFocusChanged(old, now)

Private slot to handle a change of the focus.

old
  reference to the widget, that lost focus (QWidget or None)
now
  reference to the widget having the focus (QWidget or None)

#### HelpWindow.__backward

__backward()

Private slot called to handle the backward action.

#### HelpWindow.__clearIconsDatabase

__clearIconsDatabase()

Private slot to clear the icons databse.

#### HelpWindow.__clearPrivateData

__clearPrivateData()

Private slot to clear the private data.

#### HelpWindow.__closeAllWindows

__closeAllWindows()

Private slot to close all windows.

#### HelpWindow.__closeNetworkMonitor

__closeNetworkMonitor()

Private slot to close the network monitor dialog.

#### HelpWindow.__copy

__copy()

Private slot called to handle the copy action.

#### HelpWindow.__createTextEncodingAction

__createTextEncodingAction(codec, defaultCodec, parentMenu)

Private method to create an action for the text encoding menu.

codec (str)
  name of the codec to create an action for
defaultCodec (str)
  name of the default codec
parentMenu (QMenu)
  reference to the parent menu

#### HelpWindow.__createTextEncodingSubmenu

__createTextEncodingSubmenu(title, codecNames, parentMenu)

Private method to create a text encoding sub menu.

title (str)
  title of the menu
codecNames (list of str)
  list of codec names for the menu
parentMenu (QMenu)
  reference to the parent menu

#### HelpWindow.__currentChanged

__currentChanged(index)

Private slot to handle the currentChanged signal.

index
  index of the current tab (integer)

#### HelpWindow.__del__

__del__()

Special method called during object destruction.

Note: This empty variant seems to get rid of the Qt message 'Warning: QBasicTimer::start: QBasicTimer can only be used with threads started with QThread'

#### HelpWindow.__docsInstalled

__docsInstalled(installed)

Private slot handling the end of documentation installation.

installed
  flag indicating that documents were installed (boolean)

#### HelpWindow.__feedsManagerClosed

__feedsManagerClosed(feedsManager)

Private slot to handle closing the feeds manager dialog.

feedsManager (FeedsManager)
  reference to the feeds manager object

#### HelpWindow.__filterQtHelpDocumentation

__filterQtHelpDocumentation(customFilter)

Private slot to filter the QtHelp documentation.

customFilter
  name of filter to be applied (string)

#### HelpWindow.__find

__find()

Private slot to handle the find action.

It opens the search dialog in order to perform the various search actions and to collect the various search info.

#### HelpWindow.__forward

__forward()

Private slot called to handle the forward action.

#### HelpWindow.__hideIndexWindow

__hideIndexWindow()

Private method to hide the index window.

#### HelpWindow.__hideSearchWindow

__hideSearchWindow()

Private method to hide the search window.

#### HelpWindow.__hideTocWindow

__hideTocWindow()

Private method to hide the table of contents window.

#### HelpWindow.__home

__home()

Private slot called to handle the home action.

#### HelpWindow.__indexingFinished

__indexingFinished()

Private slot to handle the start of the indexing process.

#### HelpWindow.__indexingStarted

__indexingStarted()

Private slot to handle the start of the indexing process.

#### HelpWindow.__initActions

__initActions()

Private method to define the user interface actions.

#### HelpWindow.__initHelpDb

__initHelpDb()

Private slot to initialize the documentation database.

#### HelpWindow.__initMenus

__initMenus()

Private method to create the menus.

#### HelpWindow.__initToolbars

__initToolbars()

Private method to create the toolbars.

#### HelpWindow.__initWebSettings

__initWebSettings()

Private method to set the global web settings.

#### HelpWindow.__isFullScreen

__isFullScreen()

Private method to determine, if the window is in full screen mode.

Returns:
  flag indicating full screen mode (boolean)

#### HelpWindow.__linkActivated

__linkActivated(url)

Private slot to handle the selection of a link in the TOC window.

url
  URL to be shown (QUrl)

#### HelpWindow.__linksActivated

__linksActivated(links, keyword)

Private slot to select a topic to be shown.

links
  dictionary with help topic as key (string) and URL as value (QUrl)
keyword
  keyword for the link set (string)

#### HelpWindow.__lookForNewDocumentation

__lookForNewDocumentation()

Private slot to look for new documentation to be loaded into the help database.

#### HelpWindow.__manageQtHelpDocumentation

__manageQtHelpDocumentation()

Private slot to manage the QtHelp documentation database.

#### HelpWindow.__manageQtHelpFilters

__manageQtHelpFilters()

Private slot to manage the QtHelp filters.

#### HelpWindow.__navigationMenuActionTriggered

__navigationMenuActionTriggered(act)

Private slot to go to the selected page.

act
  reference to the action selected in the navigation menu (QAction)

#### HelpWindow.__nextTab

__nextTab()

Private slot used to show the next tab.

#### HelpWindow.__openFile

__openFile()

Private slot called to open a file.

#### HelpWindow.__openFileNewTab

__openFileNewTab()

Private slot called to open a file in a new tab.

#### HelpWindow.__prevTab

__prevTab()

Private slot used to show the previous tab.

#### HelpWindow.__privateBrowsing

__privateBrowsing()

Private slot to switch private browsing.

#### HelpWindow.__reload

__reload()

Private slot called to handle the reload action.

#### HelpWindow.__removeOldDocumentation

__removeOldDocumentation()

Private slot to remove non-existing documentation from the help engine.

#### HelpWindow.__savePageAs

__savePageAs()

Private slot to save the current page.

#### HelpWindow.__savePageScreen

__savePageScreen(visibleOnly=False)

Private slot to save the current page as a screen shot.

visibleOnly
  flag indicating to just save the visible part of the page (boolean)

#### HelpWindow.__saveVisiblePageScreen

__saveVisiblePageScreen()

Private slot to save the visible part of the current page as a screen shot.

#### HelpWindow.__searchForWord

__searchForWord()

Private slot to search for a word.

#### HelpWindow.__setIconDatabasePath

__setIconDatabasePath(enable=True)

Private method to set the favicons path.

enable
  flag indicating to enabled icon storage (boolean)

#### HelpWindow.__setTextEncoding

__setTextEncoding(act)

Private slot to set the selected text encoding as the default for this session.

act
  reference to the selected action (QAction)

#### HelpWindow.__setupFilterCombo

__setupFilterCombo()

Private slot to setup the filter combo box.

#### HelpWindow.__showAcceptedLanguages

__showAcceptedLanguages()

Private slot to configure the accepted languages for web pages.

#### HelpWindow.__showAdBlockDialog

__showAdBlockDialog()

Private slot to show the AdBlock configuration dialog.

#### HelpWindow.__showBackMenu

__showBackMenu()

Private slot showing the backwards navigation menu.

#### HelpWindow.__showBookmarksDialog

__showBookmarksDialog()

Private slot to show the bookmarks dialog.

#### HelpWindow.__showCertificatesDialog

__showCertificatesDialog()

Private slot to show the certificates management dialog.

#### HelpWindow.__showClickToFlashDialog

__showClickToFlashDialog()

Private slot to open the ClickToFlash whitelist configuration dialog.

#### HelpWindow.__showCookiesConfiguration

__showCookiesConfiguration()

Private slot to configure the cookies handling.

#### HelpWindow.__showDownloadsWindow

__showDownloadsWindow()

Private slot to show the downloads dialog.

#### HelpWindow.__showEnginesConfigurationDialog

__showEnginesConfigurationDialog()

Private slot to show the search engines configuration dialog.

#### HelpWindow.__showFeaturePermissionDialog

__showFeaturePermissionDialog()

Private slot to show the feature permission dialog.

#### HelpWindow.__showFeedsManager

__showFeedsManager()

Private slot to show the feeds manager dialog.

#### HelpWindow.__showFlashCookiesManagement

__showFlashCookiesManagement()

Private slot to show the flash cookies management dialog.

#### HelpWindow.__showForwardMenu

__showForwardMenu()

Private slot showing the forwards navigation menu.

#### HelpWindow.__showGreaseMonkeyConfigDialog

__showGreaseMonkeyConfigDialog()

Private slot to show the GreaseMonkey scripts configuration dialog.

#### HelpWindow.__showIndexWindow

__showIndexWindow()

Private method to show the index window.

#### HelpWindow.__showInstallationError

__showInstallationError(message)

Private slot to show installation errors.

message
  message to be shown (string)

#### HelpWindow.__showNetworkMonitor

__showNetworkMonitor()

Private slot to show the network monitor dialog.

#### HelpWindow.__showOfflineStorageConfiguration

__showOfflineStorageConfiguration()

Private slot to configure the offline storage.

#### HelpWindow.__showPageSource

__showPageSource()

Private slot to show the source of the current page in an editor.

#### HelpWindow.__showPasswordsDialog

__showPasswordsDialog()

Private slot to show the passwords management dialog.

#### HelpWindow.__showPersonalInformationDialog

__showPersonalInformationDialog()

Private slot to show the Personal Information configuration dialog.

#### HelpWindow.__showPreferences

__showPreferences()

Private slot to set the preferences.

#### HelpWindow.__showSearchWindow

__showSearchWindow()

Private method to show the search window.

#### HelpWindow.__showSiteinfoDialog

__showSiteinfoDialog()

Private slot to show the site info dialog.

#### HelpWindow.__showSyncDialog

__showSyncDialog()

Private slot to show the synchronization dialog.

#### HelpWindow.__showTocWindow

__showTocWindow()

Private method to show the table of contents window.

#### HelpWindow.__showUserAgentsDialog

__showUserAgentsDialog()

Private slot to show the user agents management dialog.

#### HelpWindow.__showZoomValuesDialog

__showZoomValuesDialog()

Private slot to show the zoom values management dialog.

#### HelpWindow.__stopLoading

__stopLoading()

Private slot called to handle loading of the current page.

#### HelpWindow.__switchTab

__switchTab()

Private slot used to switch between the current and the previous current tab.

#### HelpWindow.__syncTOC

__syncTOC()

Private slot to synchronize the TOC with the currently shown page.

#### HelpWindow.__titleChanged

__titleChanged(browser, title)

Private slot called to handle a change of s browser's title.

browser
  reference to the browser (HelpBrowser)
title
  new title (string)

#### HelpWindow.__userStyleSheet

__userStyleSheet(styleSheetFile)

Private method to generate the user style sheet.

styleSheetFile
  name of the user style sheet file (string)

Returns:
  style sheet (QUrl)

#### HelpWindow.__viewFullScreen

__viewFullScreen()

Private slot called to toggle fullscreen mode.

#### HelpWindow.__virusTotalDomainReport

__virusTotalDomainReport()

Private slot to retrieve a domain report.

#### HelpWindow.__virusTotalFileScanReport

__virusTotalFileScanReport(url)

Private slot to initiate the display of the file scan report page.

url
  URL of the file scan report page (string)

#### HelpWindow.__virusTotalIpAddressReport

__virusTotalIpAddressReport()

Private slot to retrieve an IP address report.

#### HelpWindow.__virusTotalScanCurrentSite

__virusTotalScanCurrentSite()

Private slot to ask VirusTotal for a scan of the URL of the current browser.

#### HelpWindow.__virusTotalSubmitUrlError

__virusTotalSubmitUrlError(msg)

Private slot to handle an URL scan submission error.

msg
  error message (str)

#### HelpWindow.__virusTotalUrlScanReport

__virusTotalUrlScanReport(url)

Private slot to initiate the display of the URL scan report page.

url
  URL of the URL scan report page (string)

#### HelpWindow.__warning

__warning(msg)

Private slot handling warnings from the help engine.

msg
  message sent by the help engine (string)

#### HelpWindow.__whatsThis

__whatsThis()

Private slot called in to enter Whats This mode.

#### HelpWindow.__zoomIn

__zoomIn()

Private slot called to handle the zoom in action.

#### HelpWindow.__zoomOut

__zoomOut()

Private slot called to handle the zoom out action.

#### HelpWindow.__zoomReset

__zoomReset()

Private slot called to handle the zoom reset action.

#### HelpWindow.__zoomTextOnly

__zoomTextOnly(textOnly)

Private slot called to handle the zoom text only action.

textOnly
  flag indicating to zoom text only (boolean)

#### HelpWindow.__zoomValueChanged

__zoomValueChanged(value)

Private slot to handle value changes of the zoom widget.

value
  zoom value (integer)

#### HelpWindow.adBlockIcon

adBlockIcon()

Public method to get a reference to the AdBlock icon.

Returns:
  reference to the AdBlock icon (AdBlockIcon)

#### HelpWindow.bookmarkAll

bookmarkAll()

Public slot to bookmark all open tabs.

#### HelpWindow.browserAt

browserAt(index)

Public method to get a reference to the help browser with the given index.

index
  index of the browser to get (integer)

Returns:
  reference to the indexed help browser (HelpBrowser)

#### HelpWindow.browsers

browsers()

Public method to get a list of references to all help browsers.

Returns:
  list of references to help browsers (list of HelpBrowser)

#### HelpWindow.closeEvent

closeEvent(e)

Protected event handler for the close event.

e
  the close event (QCloseEvent)
  This event is simply accepted after the history has been saved and all window references have been deleted.

#### HelpWindow.currentBrowser

currentBrowser()

Public method to get a reference to the current help browser.

Returns:
  reference to the current help browser (HelpBrowser)

#### HelpWindow.eventKeyboardModifiers

eventKeyboardModifiers()

Public method to get the last recorded keyboard modifiers.

Returns:
  keyboard modifiers (Qt.KeyboardModifiers)

#### HelpWindow.eventMouseButtons

eventMouseButtons()

Public method to get the last recorded mouse buttons.

Returns:
  mouse buttons (Qt.MouseButtons)

#### HelpWindow.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E5Action)

#### HelpWindow.getSourceFileList

getSourceFileList()

Public method to get a list of all opened source files.

Returns:
  dictionary with tab id as key and host/namespace as value

#### HelpWindow.getWindow

getWindow()

Public method to get a reference to the most recent active help window.

Returns:
  reference to most recent help window

Return Type:
  HelpWindow

#### HelpWindow.keyPressEvent

keyPressEvent(evt)

Protected method to handle key presses.

evt
  reference to the key press event (QKeyEvent)

#### HelpWindow.masterPasswordChanged

masterPasswordChanged(oldPassword, newPassword, local=False)

Public slot to handle the change of the master password.

oldPassword (str)
  current master password
newPassword (str)
  new master password
local (bool)
  flag indicating being called from the local configuration dialog

#### HelpWindow.mousePressEvent

mousePressEvent(evt)

Protected method called by a mouse press event.

evt
  reference to the mouse event (QMouseEvent)

#### HelpWindow.newTab

newTab(link=None, requestData=None, addNextTo=None)

Public slot called to open a new help window tab.

link
  file to be displayed in the new window (string or QUrl)
requestData
  tuple containing the request data (QNetworkRequest, QNetworkAccessManager.Operation, QByteArray)
addNextTo
  reference to the browser to open the tab after (HelpBrowser)

#### HelpWindow.newWindow

newWindow(link=None)

Public slot called to open a new help browser dialog.

link
  file to be displayed in the new window (string or QUrl)

#### HelpWindow.openSearchManager

openSearchManager()

Public method to get a reference to the opensearch manager object.

Returns:
  reference to the opensearch manager object (OpenSearchManager)

#### HelpWindow.openUrl

openUrl(url, title)

Public slot to load a URL from the bookmarks menu or bookmarks toolbar in the current tab.

url
  url to be opened (QUrl)
title
  title of the bookmark (string)

#### HelpWindow.openUrlNewTab

openUrlNewTab(url, title)

Public slot to load a URL from the bookmarks menu or bookmarks toolbar in a new tab.

url
  url to be opened (QUrl)
title
  title of the bookmark (string)

#### HelpWindow.preferencesChanged

preferencesChanged()

Public slot to handle a change of preferences.

#### HelpWindow.reloadUserStyleSheet

reloadUserStyleSheet()

Public method to reload the user style sheet.

#### HelpWindow.requestVirusTotalScan

requestVirusTotalScan(url)

Public method to submit a request to scan an URL by VirusTotal.

url
  URL to be scanned (QUrl)

#### HelpWindow.search

search(word)

Public method to search for a word.

word
  word to search for (string)

#### HelpWindow.searchEnginesAction

searchEnginesAction()

Public method to get a reference to the search engines configuration action.

Returns:
  reference to the search engines configuration action (QAction)

#### HelpWindow.setBackwardAvailable

setBackwardAvailable(b)

Public slot called when backward references are available.

b
  flag indicating availability of the backwards action (boolean)

#### HelpWindow.setEventKeyboardModifiers

setEventKeyboardModifiers(modifiers)

Public method to record keyboard modifiers.

modifiers
  keyboard modifiers to record (Qt.KeyboardModifiers)

#### HelpWindow.setEventMouseButtons

setEventMouseButtons(buttons)

Public method to record mouse buttons.

buttons
  mouse buttons to record (Qt.MouseButtons)

#### HelpWindow.setForwardAvailable

setForwardAvailable(b)

Public slot called when forward references are available.

b
  flag indicating the availability of the forwards action (boolean)

#### HelpWindow.setLoadingActions

setLoadingActions(b)

Public slot to set the loading dependent actions.

b
  flag indicating the loading state to consider (boolean)

#### HelpWindow.setPrivateMode

setPrivateMode(on)

Public method to set the privacy mode.

on
  flag indicating the privacy state (boolean)

#### HelpWindow.shutdown

shutdown()

Public method to shut down the web browser.

Returns:
  flag indicating successful shutdown (boolean)

#### HelpWindow.__getWebIcon (static)

__getWebIcon()

Private static method to fetch the icon for a URL.

url
  URL to get icon for (QUrl)

Returns:
  icon for the URL (QIcon)

Up